---
http_interactions:
- request:
    method: post
    uri: https://api.payzen.eu/api-payment/V4/PCI/Charge/CreatePayment
    body:
      encoding: UTF-8
      string: '{"amount":118700,"currency":"EUR","orderId":"dffd53627a4901e986862674","formAction":"PAYMENT","contrib":"fab-manager
        5.0.1","customer":{"reference":2,"email":"jean.dupond@gmail.com","billingDetails":{"firstName":"Jean","lastName":"Dupont","legalName":null,"address":"14
        rue Brecourt, Annecy"},"shippingDetails":{"category":"PRIVATE","shippingMethod":"ETICKET"},"shoppingCart":{"cartItemInfo":[{"productAmount":"5100","productLabel":"Formation
        Imprimante 3D","productQty":"1","productType":"SERVICE_FOR_INDIVIDUAL"},{"productAmount":"113600","productLabel":"Abonnement
        mensualisable - standard, association, year","productQty":"1","productType":"SERVICE_FOR_INDIVIDUAL"}]}},"device":{"deviceType":"BROWSER","acceptHeader":"text/html","userAgent":"Mozilla/5.0
        (Windows NT 6.1; Win64; x64; rv:47.0) Gecko/20100101","ip":"69.89.31.226","javaEnabled":true,"language":"fr-FR","colorDepth":"32","screenHeight":768,"screenWidth":1258,"timeZoneOffset":-120},"paymentForms":[{"paymentMethodType":"CARD","pan":"4970100000000055","expiryMonth":12,"expiryYear":"21","securityCode":123}]}'
    headers:
      Authorization:
      - Basic Njk4NzYzNTc6dGVzdHBhc3N3b3JkX0RFTU9QUklWQVRFS0VZMjNHNDQ3NXpYWlEyVUE1eDdN
      Content-Type:
      - application/json
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
      User-Agent:
      - Ruby
      Host:
      - api.payzen.eu
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Fri, 11 Jun 2021 12:23:30 GMT
      Server:
      - Apache
      X-Powered-By:
      - Undertow/1
      Set-Cookie:
      - JSESSIONID=r6TLog8sSHD6F1SHWZid8Ti_aeZ9STOsn-sWc9V3.vadapi01-tls-prod-fr-lyra;
        path=/api-payment
      Ecspaymentid:
      - b5e6d6a0a30645c882c96b0de61c04f6
      Vary:
      - Accept-Encoding,User-Agent
      Timing-Allow-Origin:
      - "*"
      Content-Length:
      - '1948'
      Content-Type:
      - application/json;charset=utf-8
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 7172 characters]
  recorded_at: Fri, 11 Jun 2021 12:23:31 GMT
- request:
    method: post
    uri: https://api.payzen.eu/api-payment/V4/Order/Get/
    body:
      encoding: UTF-8
      string: '{"orderId":"dffd53627a4901e986862674","operationType":"DEBIT"}'
    headers:
      Authorization:
      - Basic Njk4NzYzNTc6dGVzdHBhc3N3b3JkX0RFTU9QUklWQVRFS0VZMjNHNDQ3NXpYWlEyVUE1eDdN
      Content-Type:
      - application/json
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
      User-Agent:
      - Ruby
      Host:
      - api.payzen.eu
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Fri, 11 Jun 2021 12:23:31 GMT
      Server:
      - Apache
      X-Powered-By:
      - Undertow/1
      Set-Cookie:
      - JSESSIONID=tQtZz1beAMixfISqOGhzUT_RP-jczC71aSUMZS4d.vadapi01-tls-prod-fr-lyra;
        path=/api-payment
      Vary:
      - Accept-Encoding,User-Agent
      Timing-Allow-Origin:
      - "*"
      Content-Length:
      - '1868'
      Content-Type:
      - application/json;charset=utf-8
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 6868 characters]
  recorded_at: Fri, 11 Jun 2021 12:23:31 GMT
recorded_with: VCR 6.0.0
